<!-- src/app/pages/complete/complete.component.html -->
<div *ngIf="petTag.complete">
  <div class="row">
    <p class="col-sm-12 alert alert-success">
      <strong>Congratulations!</strong> You've completed a pet ID tag for <strong>{{petTag.text}}</strong>. Would you like to <a (click)="newTag()" routerLink="/create" class="alert-link">create another?</a>
    </p>
  </div>

  <button (click)="fetchTag()">Fetch tag!</button>
  <!-- <app-tag-preview [petTag]="petTag"></app-tag-preview> -->

  <!-- <label class="tagShape col-sm-3">
    <img src="/assets/images/{{petTag.shape}}.svg">
    {{petTag.text}}
  </label> -->

  <div class="row tagView-wrapper">
    <div class="col-sm-9" >
        <img class="{{dog}}" src="/assets/images/dog5-0/{{dis}}.jpg">
    </div>
    <label class="tagShape col-sm-3">
          <img src="/assets/images/{{petTag.shape}}.svg">
          <div class="text {{petTag.font}}">
            {{petTag.text}}
          </div>
      </label>
  </div>

</div>

<div *ngIf="!petTag.complete" class="row">
  <p class="col-sm-12 alert alert-danger">
    <strong>Oops!</strong> You haven't customized a tag yet. <a routerLink="/create" class="alert-link">Click here to create one now.</a>
  </p>
</div>
